curl --request PUT \
--url https://api-sandbox.synctera.com/v0/customers/{customer_id}/watchlists/alerts/{alert_id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"created": "2023-11-07T05:31:56Z",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"provider_info": {},
"provider_subject_id": "<string>",
"provider_subscription_id": "<string>",
"provider_watchlist_name": "<string>",
"urls": [
"<string>"
],
"vendor_info": {
"content_type": "application/json",
"json": {},
"vendor": "SOCURE"
}
}
'import requests
url = "https://api-sandbox.synctera.com/v0/customers/{customer_id}/watchlists/alerts/{alert_id}"
payload = {
"created": "2023-11-07T05:31:56Z",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"provider_info": {},
"provider_subject_id": "<string>",
"provider_subscription_id": "<string>",
"provider_watchlist_name": "<string>",
"urls": ["<string>"],
"vendor_info": {
"content_type": "application/json",
"json": {},
"vendor": "SOCURE"
}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
created: '2023-11-07T05:31:56Z',
id: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
provider_info: {},
provider_subject_id: '<string>',
provider_subscription_id: '<string>',
provider_watchlist_name: '<string>',
urls: ['<string>'],
vendor_info: {content_type: 'application/json', json: {}, vendor: 'SOCURE'}
})
};
fetch('https://api-sandbox.synctera.com/v0/customers/{customer_id}/watchlists/alerts/{alert_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"code": "BAD_REQUEST_BODY",
"detail": "missing required fields: first_name, dob",
"status": 400,
"title": "Bad Request Body",
"type": "https://dev.synctera.com/errors/bad-request-body"
}{
"code": "BAD_REQUEST_BODY",
"detail": "missing required fields: first_name, dob",
"status": 400,
"title": "Bad Request Body",
"type": "https://dev.synctera.com/errors/bad-request-body"
}{
"code": "BAD_REQUEST_BODY",
"detail": "missing required fields: first_name, dob",
"status": 400,
"title": "Bad Request Body",
"type": "https://dev.synctera.com/errors/bad-request-body"
}{
"code": "BAD_REQUEST_BODY",
"detail": "missing required fields: first_name, dob",
"status": 400,
"title": "Bad Request Body",
"type": "https://dev.synctera.com/errors/bad-request-body"
}{
"code": "BAD_REQUEST_BODY",
"detail": "missing required fields: first_name, dob",
"status": 400,
"title": "Bad Request Body",
"type": "https://dev.synctera.com/errors/bad-request-body"
}Update watchlist alert
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Unique identifier for this watchlist alert.
"7d943c51-e4ff-4e57-9558-08cab6b963c7"
The customer's unique identifier
"7d943c51-e4ff-4e57-9558-08cab6b963c7"
Body
A watchlist body
The status of this alert
ACTIVE, SUPPRESSED When this alert was created
Unique identifier for this alert
The information provided to Synctera that triggered this alert, as an arbitrary JSON object. Interpretation of this object is up to the client.
The id of the provider subject for this alert
The id of the provider subscription for this alert
The name of the provider for this alert
Where to get more information about this alert (according to our third-party data provider).
The information provided to Synctera from the vendor. Interpretation of this object is up to the client.
- Vendor Info
- Vendor Info
Show child attributes
Show child attributes
Response
Watchlist alert was updated
Was this page helpful?

